Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joseki.server
Interface ModelSource

All Known Subinterfaces:
  ModelSourceJena

All Known Implementing Classes:
  org.joseki.server.source.ModelSourceCom

public interface ModelSource

Wrapper for models used by the RDF server. A ModelSource incorporates the (operating system) resource management policy for a model. Models are created and released by the associated SourceController. It does not have to be backed by a Jena as the data source.

Version:
  $Id: ModelSource.java,v 1.3 2004/04/30 14:13:13 andy_seaborne Exp $
Author:
  Andy Seaborne

Method Summary
`void` | `abortOperation()`
`void` | `activate()`
`void` | `deactivate()`
`void` | `endOperation()`
`void` | `flush()`
`java.util.Map` | `getPrefixes()` Help write results neatly.
`ProcessorRegistry` | `getProcessorRegistry()`
`java.lang.String` | `getServerURI()` The way to reference this data from outside.
`boolean` | `isImmutable()`
`void` | `release()`
`void` | `setIsImmutable(boolean isFixed)`
`void` | `setPrefix(java.lang.String prefix, java.lang.String nsURI)`
`void` | `startOperation(boolean readOnly)`

Method Detail

### getServerURI

    public java.lang.String getServerURI()

  The way to reference this data from outside. This is the URL minus the protocol host part e.g. "/dir/foobar" because we can have many access points on the web for this server.

### getPrefixes

    public java.util.Map getPrefixes()

  Help write results neatly.

### setPrefix

    public void setPrefix(java.lang.String prefix,
                          java.lang.String nsURI)

### activate

    public void activate()

### deactivate

    public void deactivate()

### startOperation

    public void startOperation(boolean readOnly)

### endOperation

    public void endOperation()

### abortOperation

    public void abortOperation()

### flush

    public void flush()

### isImmutable

    public boolean isImmutable()

### setIsImmutable

    public void setIsImmutable(boolean isFixed)

### release

    public void release()

### getProcessorRegistry

    public ProcessorRegistry getProcessorRegistry()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Hewlett-Packard. All Rights Reserved.